org.mariadb.jdbc.internal.com.read.dao

## Class CmdInformationSingle

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.dao.CmdInformationSingle

All Implemented Interfaces:
  CmdInformation

    public class CmdInformationSingle
    extends Object
    implements CmdInformation

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.com.read.dao.CmdInformation

`RESULT_SET_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`CmdInformationSingle(long insertId, long updateCount, int autoIncrement)` Object containing update / insert ids, optimized for only one result.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addErrorStat()`
`void` `addResultSetStat()`
`void` `addSuccessStat(long updateCount, long insertId)`
`ResultSet` `getBatchGeneratedKeys(Protocol protocol)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol, String sql)` Get generated Keys.
`long` `getLargeUpdateCount()`
`long[]` `getLargeUpdateCounts()`
`int[]` `getServerUpdateCounts()`
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`
`void` `reset()`
`void` `setRewrite(boolean rewritten)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmdInformationSingle

    public CmdInformationSingle(long insertId,
                                long updateCount,
                                int autoIncrement)

Object containing update / insert ids, optimized for only one result.

Parameters:
  `insertId` - auto generated id.
  `updateCount` - update count
  `autoIncrement` - connection auto increment value.

### Method Detail

#### getUpdateCounts

    public int[] getUpdateCounts()

Specified by:
  `getUpdateCounts` in interface `CmdInformation`

#### getServerUpdateCounts

    public int[] getServerUpdateCounts()

Specified by:
  `getServerUpdateCounts` in interface `CmdInformation`

#### getLargeUpdateCounts

    public long[] getLargeUpdateCounts()

Specified by:
  `getLargeUpdateCounts` in interface `CmdInformation`

#### getUpdateCount

    public int getUpdateCount()

Specified by:
  `getUpdateCount` in interface `CmdInformation`

#### getLargeUpdateCount

    public long getLargeUpdateCount()

Specified by:
  `getLargeUpdateCount` in interface `CmdInformation`

#### addErrorStat

    public void addErrorStat()

Specified by:
  `addErrorStat` in interface `CmdInformation`

#### reset

    public void reset()

Specified by:
  `reset` in interface `CmdInformation`

#### addResultSetStat

    public void addResultSetStat()

Specified by:
  `addResultSetStat` in interface `CmdInformation`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys(Protocol protocol,
                                      String sql)

Get generated Keys.

Specified by:
  `getGeneratedKeys` in interface `CmdInformation`
Parameters:
  `protocol` - current protocol
  `sql` - SQL command
Returns:
  a resultSet containing the single insert ids.

#### getBatchGeneratedKeys

    public ResultSet getBatchGeneratedKeys(Protocol protocol)

Specified by:
  `getBatchGeneratedKeys` in interface `CmdInformation`

#### getCurrentStatNumber

    public int getCurrentStatNumber()

Specified by:
  `getCurrentStatNumber` in interface `CmdInformation`

#### moreResults

    public boolean moreResults()

Specified by:
  `moreResults` in interface `CmdInformation`

#### isCurrentUpdateCount

    public boolean isCurrentUpdateCount()

Specified by:
  `isCurrentUpdateCount` in interface `CmdInformation`

#### addSuccessStat

    public void addSuccessStat(long updateCount,
                               long insertId)

Specified by:
  `addSuccessStat` in interface `CmdInformation`

#### setRewrite

    public void setRewrite(boolean rewritten)

Specified by:
  `setRewrite` in interface `CmdInformation`